### Struct

# Gio DBusAnnotationInfo

since: 2.26

#### Description [src]

    struct GDBusAnnotationInfo {
      gint ref_count;
      gchar* key;
      gchar* value;
      GDBusAnnotationInfo* annotations[];
    }

Information about an annotation.

###### Structure members

`ref_count:` `gint`

  The reference count or -1 if statically allocated.

`key:` `gchar*`

  The name of the annotation, e.g. “org.freedesktop.DBus.Deprecated”.

`value:` `gchar*`

  The value of the annotation.

`annotations:` `GDBusAnnotationInfo`

  A pointer to a `NULL`-terminated array of pointers to `GDBusAnnotationInfo` structures or `NULL` if there are no annotations.

Available since: 2.26

#### Functions

###### g_dbus_annotation_info_lookup

Looks up the value of an annotation.

since: 2.26

#### Instance methods

###### g_dbus_annotation_info_ref

If `info` is statically allocated does nothing. Otherwise increases the reference count.

since: 2.26

###### g_dbus_annotation_info_unref

If `info` is statically allocated, does nothing. Otherwise decreases the reference count of `info`. When its reference count drops to 0, the memory used is freed.

since: 2.26